import { TiniElement } from 'tinijs';
export declare class IconCaretUpSquareComponent extends TiniElement {
    static readonly defaultTagName = "icon-caret-up-square";
    static readonly componentName = "icon";
    static styles: any;
    scale?: string;
    scheme?: string;
    willUpdate(): void;
    protected render(): any;
}
